#include <QtGui>
#include <QtCore>
#include <QtSql>
#include "utilpref.h"
extern QString g_pathabsolu;
utilprefdialog::utilprefdialog(QString &celuiquiest){
QString utilchoisi = celuiquiest;

setupUi(this);
lineEdit->setText(""+utilchoisi+"");
setAttribute(Qt::WA_DeleteOnClose);
setWindowFlags(Qt::WindowStaysOnTopHint);

}

void utilprefdialog::accept(){
QSqlDatabase db = QSqlDatabase::database();
QString utilisateurpref = lineEdit->text();
if(utilisateurpref==""){
QMessageBox::critical(0,tr("Erreur"),trUtf8("Vous avez un login d'utilisateur vide."),QMessageBox::Ok);
emit close();
}
QString primkey;
QSqlQuery query;
query.exec("SELECT ID_PrimKey FROM Personnes WHERE Login = '"+utilisateurpref+"'");
if(query.next()){
primkey = query.value(0).toString();}
QString utilisateurprefplus = utilisateurpref+"="+primkey;

QStringList liste;
QFile file(""+g_pathabsolu+"/utilisateur.ini");
if(!file.open(QIODevice::ReadWrite|QIODevice::Text)){
QMessageBox::warning(0,tr("erreur"),trUtf8("titre.ini ne peut pas être ouvert"),QMessageBox::Ok);}
QTextStream stream(&file);
while(!stream.atEnd()){
QString line = stream.readLine();
liste << ""+line+"";
}
QString utilbefore = liste[3];
liste.replaceInStrings(utilbefore,utilisateurprefplus);
file.remove();
QFile file2(""+g_pathabsolu+"/utilisateur.ini");
if(!file2.open(QIODevice::ReadWrite|QIODevice::Text)){
QMessageBox::warning(0,tr("erreur"),trUtf8("titre.ini2 ne peut pas être ouvert"),QMessageBox::Ok);}
QTextStream stream2(&file2);

for(int i = 0;i<liste.size();i++){
stream2 << ""+liste[i]+"\n";
}
emit close();
}
